libnvme(2)

NAME
enum nvme_id_ctrl_sgls - This field indicates if SGLs are supported for the NVM Command Set and the particular SGL types supported.

SYNOPSIS
enum nvme_id_ctrl_sgls {
NVME_CTRL_SGLS_SUPPORTED ,
NVME_CTRL_SGLS_KEYED ,
NVME_CTRL_SGLS_BIT_BUCKET ,
NVME_CTRL_SGLS_MPTR_BYTE_ALIGNED ,
NVME_CTRL_SGLS_OVERSIZE ,
NVME_CTRL_SGLS_MPTR_SGL ,
NVME_CTRL_SGLS_OFFSET ,
NVME_CTRL_SGLS_TPORT

};

Constants

NVME_CTRL_SGLS_SUPPORTED

NVME_CTRL_SGLS_KEYED

NVME_CTRL_SGLS_BIT_BUCKET

NVME_CTRL_SGLS_MPTR_BYTE_ALIGNED

NVME_CTRL_SGLS_OVERSIZE

NVME_CTRL_SGLS_MPTR_SGL

NVME_CTRL_SGLS_OFFSET

NVME_CTRL_SGLS_TPORT